#    DataViewer visualization package
#    Copyright (C) 1997 Randy Paffenroth and Thomas Stone
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.
#
#    You should have received a copy of the GNU Library General Public
#    License along with this library; if not, write to the Free
#    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
#    MA 02111-1307, USA

import Pmw
from geom_window import *
class Typein(GeomWindow):
    def __init__(self,parent=None):
	GeomWindow.__init__(self,parent)

    def UserWidgets(self):
        self.angle = Tkinter.DoubleVar()
        self.angle.set(30.0)
	self.angle_typein = Pmw.ComboBox(self.UserTop,labelpos="w",
                                         label_text="angle (degrees)",
                                         selectioncommand = lambda val, obj=self.angle:obj.set(val))
	self.angle_typein.pack()
        
        self.speed = Tkinter.DoubleVar()
        self.speed.set(10.0)
	self.speed_typein = Pmw.ComboBox(self.UserTop,labelpos="w",
                                         label_text="speed (m/s)",
                                         selectioncommand = lambda val, obj=self.speed:obj.set(val))
	self.speed_typein.pack()

	button = Tkinter.Button(self.UserTop,text="Draw",command=self.Draw)
	button.pack()
    
    def Draw(self):
	self.geom.set_problem("canon")
        file_str = "%f %f" %(self.angle.get(), self.speed.get())
	self.geom.file(file_str)

if __name__ == '__main__' : Typein().mainloop()
