#!/usr/lcvm/bin/python
#    DataViewer visualization package
#    Copyright (C) 1997 Randy Paffenroth and Thomas Stone
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.
#
#    You should have received a copy of the GNU Library General Public
#    License along with this library; if not, write to the Free
#    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
#    MA 02111-1307, USA

from string import *
import sys
# A kludgy little script to add a new visualization module

#first thing we do is find out what modules are already defined
header = open("DVpython_problems.h","r")
problems = []

line = header.readline()
while line:
    parts = split(line," ")
    if parts[0] == "int":
	parts = split(parts[1],"(")
	problems.append(strip(parts[0]))
    line = header.readline()

print "Enter problem name: "
new_problem = sys.stdin.readline()
new_problem = strip(new_problem)
if new_problem in problems:
    print "Problem name already in use.  Please choose another"
    sys.exit(1)

problems.append(new_problem)
header.close()
header = open("DVpython_problems.h","w")
header.write('#include "DVgeometry.h"\n\n')

for i in problems:
    header.write("int %s(DVcreate_image_arguments &);\n"%(i))

source = open("DVpython_problems.cc","w")

source_start = \
"""#include "DVpython_problems.h"
#include <stdlib.h>

void DVpython_problems(char *input_problem,
                       DVgeometry *set)
{
"""
source.write(source_start)

for i in problems:
    source.write(' if(strcmp(input_problem,"%s")==0) { set->set_user_function(%s);} else \n'%(i,i))



source_end = """ {
    set->set_user_function(default_problem);
    cerr << "Default problem being used" << endl;
  }
}
"""

source.write(source_end)

template = open("%s.cc"%(new_problem),"w")

template.write("""#include "DV.h"
#include "DVtips_and_hints.h"

int %s(DVcreate_image_arguments &dv)
{ 
  return 1;

}
""" %(new_problem))

print "Don't forget to add the new object to the Makefile!!"



