/*
    DataViewer visualization package
    Copyright (C) 1997 Randy Paffenroth and Thomas Stone and Dana Vrajitoru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
*/

/* 
  Application written by D. Vrajitoru simulating a canon, for the
  Image Synthesis class, September 2003.  
*/

#ifndef CANON_H
#define CANON_H

#include "DV.h"

// Makes a ball and projects it.
int animate_ball(DVcontainerbase &top, float angle, float speed);

// Draws the canon itself.
void make_canon(DVcontainerbase &top, float angle);

// Draws a wheel with a given radius. Centered in the origin, vertical
// axis: y, horizontal axis: x. The wheel rotates around z.
void wheel(DVcontainerbase &parent, float radius);

#endif
