#ifndef PARAMETERS_H
#define PARAMETERS_H

#include "DV.h"

// This function discretizes a 3D surface and draws it as a set of triangles
// if to_strip is 0, and to triangle strips if the to_strips is 1
int Discretize_sphere(DVcreate_image_arguments &dv,
                     int spoints, int tpoints, int to_strips);

// This function creates a triangle from 3 points
void Triangle(LCVMarray_2D<float> &where, float *p1, float *p2, float *p3);

// Copy a normal array to an LCVMarray
void Copy_point(LCVMarray<float> &lcvm_point, float *normal_point);

// Compute the point on the surface corresponding to s and t
float *point(float s, float t);

// The X component of the point on the surface corresponding to s and t
float X(float s, float t);

// The Y component of the point on the surface corresponding to s and t
float Y(float s, float t);

// The Z component of the point on the surface corresponding to s and t
float Z(float s, float t);

#endif
