/*
    DataViewer visualization package
    Copyright (C) 1997 Randy Paffenroth and Thomas Stone

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
    MA 02111-1307, USA
*/
/*
  A library created by Dana Vrajitoru processing the scene files.
 */

#include <iostream.h> 
#include <fstream.h> 
#include <strstream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "scene_data.h"
#include "scene_tokens.h"
#include "file_options.h"
#include "DV.h"

/* Global variables */
extern char buffer[];
extern char *theWord;
extern ifstream *fin;
extern int last_frame;
extern DVtips_and_hints global_th;


/* Main function */

int scene_file(DVcreate_image_arguments &dv)
{ 
  int geometry_complexity, light_complexity, debug_on;
  float material_comp;
  LCVMstring method;
  LCVMstring input_string;
  DVrich_material_properties mat;
  //  FILE *testfile;
  istrstream top_fin((char const*)dv.input_string,dv.input_string.getLength());
  
  top_fin >> buffer ;
  input_string = buffer;
  top_fin >> geometry_complexity;
  top_fin >> light_complexity;
  top_fin >> debug_on;
  if (debug_on) 
    SetDebugOn();
  else
    SetDebugOff();

  if (Debug())
    cerr << "filename: " << buffer << endl
	 << "geometry_complexity: " << geometry_complexity << ":" << endl
	 << "light_complexity: " << light_complexity << ":" << endl;
  //top_fin >> material_comp;
  //cout << "material_comp :" << material_comp << ":" << endl;
  
  dv.top.geometry_complexity = geometry_complexity;
  dv.top.light_complexity = light_complexity;
  dv.top.color[0] = DVcolor(1.0, 1.0, 1.0);
  //mat.ambient_factors=DVcolor(material_comp,1.0,1.0);
  //mat.diffuse_factors=DVcolor(material_comp,material_comp,material_comp);
  //mat.specular_factors=DVcolor(0.1,0.1,0.1);
  //mat.emission_factors=DVcolor(material_comp,material_comp,material_comp,material_comp);
  mat.shininess=material_comp;
  dv.top.material[0]=mat;
  DVcolor_by_data tmp_color_by_data;
  // tmp_color_by_data.set_color_map_function(color_map_discrete);
  //dv.top.color_by_data[0] = tmp_color_by_data;

  InitFile(input_string);
  DVcontainer a_root(scene_file_op);
  dv.top.copy_child(a_root);
  theWord = NULL;

  if (last_frame > 0) {
    if (global_th.get_last_frame_number() == 0) {
      global_th.set_animation_last_frame_number(last_frame);
      global_th.set_last_frame_number(last_frame);
    }
    dv.dvhints=global_th;
  }
  else {
    DVcolor bgc;
    global_th.get_background_color(bgc);
    dv.dvhints.set_background_color(bgc);
  }
  /*
    testfile=fopen("test.pov","w");
    dv.top.export_pov(testfile);*/

  return 1;
}
