#ifndef WALK_H
#define WALK_H

// This animates a simple model of a man walking.
int Animate_man_walk(DVcontainer &dv_top, int nr_cycles, int step);

// Creates a body part of a given length in the given direction
// and attaches it to the joint
void Make_part(DVcontainer &joint, int length, int which_coord);

// Makes a leg and attaches it to the center. It translates the entire
// leg by the given distance horizontally. The angle_start is used for
// the left - right rotations.
void Make_leg(DVrotation_interpolation_container &center,
              float distance, int angle_start, int nr_cycles, int step);

// Creates a body part of a given length in the given direction
// and attaches it to the joint
void Make_part(DVcontainer &joint, double length, int which_coord);

// Makes an arm at attaches it to the neck at the given horizontal distance
void Make_arm(DVcontainer &neck, float distance);

// This function adds a number of key rotations to the joint
void Add_rotation(DVrotation_interpolation_container &joint,
                  float *angles, int nr_angles, int step, int nr_cycles);
#endif
